#ifndef ds1620_134
#define ds1620_134

//Ports & Pins (mssen angepasst werden)...
#define DS1620PORT PORTB
#define DS1620DDR DDRB
#define DS1620PIN PINB

#define DS1620DQ PB0
#define DS1620RST PB1
#define DS1620CLK PB2

//das Configreg des Sensors (just for fun...)
#define ONESHOT 0
#define CPU 1
#define NVB 4
#define TLF 5
#define THF 6
#define DONE 7

//ein paar makros
#define CLEARCLK DS1620PORT &= ~ (1<<DS1620CLK)
#define SETCLK DS1620PORT |= (1<<DS1620CLK)
#define CLEARRST DS1620PORT &= ~ (1<<DS1620RST)
#define SETRST DS1620PORT |= (1<<DS1620RST)
#define MAKEDQINPUT DS1620DDR &= ~ (1 << DS1620DQ)
#define MAKEDQOUTPUT DS1620DDR |= (1 << DS1620DQ)

//functions in ds1620.c
/* Initialisiert das Interface, schaltet den Sensor in den "CPU" 
mode */
void init1620(void);

/* liest 8 Bit vom Sensor */
uint8_t  get1620byte( void );

/* schickt dem Sensor 8 Bit */
void put1620byte(uint8_t data);

/* pollt den Sensor, liest 2 Byte wenn der Sensor bereit ist.
 liefert den Messwert als 16Bit wert mit 1/2Grad Auflsung
 - Diese Funktion wartet blockierend! bis zu 750ms */
int16_t get1620temp(void);

#endif
